Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class MerchantRecipeList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  net.minecraft.src.MerchantRecipeList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class MerchantRecipeList

extends ArrayList

See Also:
  Serialized Form

Constructor Summary
`MerchantRecipeList()`
`MerchantRecipeList(NBTTagCompound par1NBTTagCompound)`

Method Summary
`void` | `addToListWithCheck(MerchantRecipe par1MerchantRecipe)` checks if there is a recipie for the same ingredients already on the list, and replaces it.
`MerchantRecipe` | `canRecipeBeUsed(ItemStack par1ItemStack, ItemStack par2ItemStack, int par3)` can par1,par2 be used to in crafting recipe par3
`NBTTagCompound` | `getRecipiesAsTags()`
`static MerchantRecipeList` | `readRecipiesFromStream(DataInputStream par0DataInputStream)`
`void` | `readRecipiesFromTags(NBTTagCompound par1NBTTagCompound)`
`void` | `writeRecipiesToStream(DataOutputStream par1DataOutputStream)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode`

Constructor Detail

### MerchantRecipeList

    public MerchantRecipeList()

### MerchantRecipeList

    public MerchantRecipeList(NBTTagCompound par1NBTTagCompound)

Method Detail

### canRecipeBeUsed

    public MerchantRecipe canRecipeBeUsed(ItemStack par1ItemStack,
                                          ItemStack par2ItemStack,
                                          int par3)

  can par1,par2 be used to in crafting recipe par3

### addToListWithCheck

    public void addToListWithCheck(MerchantRecipe par1MerchantRecipe)

  checks if there is a recipie for the same ingredients already on the list, and replaces it. otherwise, adds it

### writeRecipiesToStream

    public void writeRecipiesToStream(DataOutputStream par1DataOutputStream)
                               throws IOException

  Throws:
    `IOException`

### readRecipiesFromStream

    public static MerchantRecipeList readRecipiesFromStream(DataInputStream par0DataInputStream)
                                                     throws IOException

  Throws:
    `IOException`

### readRecipiesFromTags

    public void readRecipiesFromTags(NBTTagCompound par1NBTTagCompound)

### getRecipiesAsTags

    public NBTTagCompound getRecipiesAsTags()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD